import request from '@/config/axios'

// 查询物模型列表
export function listModel(query) {
  return request.get({
    url: '/rq/iot-things-model/page',
 
    params: query,
  });
}

// 查询物模型详细
export function getModel(modelId) {
  return request.get({
    url: '/iot/model/' + modelId,
   
  });
}

// 查询物模型对应分享设备用户权限列表
export function permListModel(productId) {
  return request.get({
    url: '/iot/model/permList/' + productId,
   
  });
}

// 新增物模型
export function addModel(data) {
  return request.post({
    url: '/iot/model',

    data: data,
  });
}

// 导入通用物模型
export function importModel(data) {
  return request.post({
    url: '/iot/model/import',
  
    data: data,
  });
}

// 导入excel物模型
export function importExcel(data) {
    return request.post({
        url: '/iot/model/importExcel',
        
        data: data,
    });
}


// 修改物模型
export function updateModel(data) {
  return request.put({
    url: '/iot/model',
   
    data: data,
  });
}

// 删除物模型
export function delModel(modelId) {
  return request.delete({
    url: '/iot/model/' + modelId,
   
  });
}

// 根据产品ID获取缓存的物模型
export function cacheJsonThingsModel(productId) {
  return request.get({
    url: '/iot/model/cache/' + productId,
    
  });
}

// 同步采集点模板到产品物模型
export function synchron(data) {
  return request.post({
    url: '/iot/model/synchron',
   
    data: data,
  });
}

// 根据产品ID获取缓存的物模型
export function getlListModbus(query) {
  return request.get({
    url: '/iot/model/listModbus',
   
    params: query,
  });
}

// 根据产品ID获取缓存的物模型
export function getWriteList(query) {
  return request.get({
    url: '/iot/model/write',
 
    params: query,
  });
}
